Name:          inih
Version:       59
Release:       1mamba
Summary:       Simple .INI file parser in C, good for embedded systems
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/benhoyt/inih
Source:        https://github.com/benhoyt/inih.git/r%{version}/inih-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
inih (INI Not Invented Here) is a simple .INI file parser written in C. It's only a couple of pages of code, and it was designed to be small and simple, so it's good for embedded systems. It's also more or less compatible with Python's ConfigParser style of .INI files, including RFC 822-style multi-line syntax and name: value entries.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Simple .INI file parser in C, good for embedded systems

%description -n lib%{name}
inih (INI Not Invented Here) is a simple .INI file parser written in C. It's only a couple of pages of code, and it was designed to be small and simple, so it's good for embedded systems. It's also more or less compatible with Python's ConfigParser style of .INI files, including RFC 822-style multi-line syntax and name: value entries.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.



%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libINIReader.so.*
%{_libdir}/libinih.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/INIReader.h
%{_includedir}/ini.h
%{_libdir}/libINIReader.so
%{_libdir}/libinih.so
%{_libdir}/pkgconfig/INIReader.pc
%{_libdir}/pkgconfig/inih.pc
%doc README.md

%changelog
* Sun Mar 30 2025 Automatic Build System <autodist@openmamba.org> 59-1mamba
- automatic version update by autodist

* Thu Jan 25 2024 Automatic Build System <autodist@openmamba.org> 58-1mamba
- automatic version update by autodist

* Sat Jul 08 2023 Automatic Build System <autodist@mambasoft.it> 57-1mamba
- automatic version update by autodist

* Fri Sep 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 56-1mamba
- package created using the webbuild interface
